Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui
Class ControlPropertyBean

    java.lang.Object
      org.jboss.portal.core.admin.ui.PropertyBean
          org.jboss.portal.core.admin.ui.ControlPropertyBean

All Implemented Interfaces:
  java.lang.Comparable

    public class ControlPropertyBean

extends PropertyBean

Version:
  $Revision: 8785 $
Author:
  Julien Viet, Thomas Heute, Boleslaw Dawidowicz

Field Summary

Fields inherited from class org.jboss.portal.core.admin.ui.PropertyBean
`info, inheritable, inherited, value`

Constructor Summary
`ControlPropertyBean(ControlPropertiesBean container, PropertyInfo info, boolean inherited, boolean inheritable, java.lang.String value)`

Method Summary
`void` | `inherit(javax.faces.event.ValueChangeEvent event)`
`boolean` | `isControlProperty()`
`void` | `setInherited(boolean inherited)`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class org.jboss.portal.core.admin.ui.PropertyBean
`compareTo, getDescription, getDisplayName, getName, getType, getValue, isInheritable, isInherited, isReadOnly, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ControlPropertyBean

    public ControlPropertyBean(ControlPropertiesBean container,
                               PropertyInfo info,
                               boolean inherited,
                               boolean inheritable,
                               java.lang.String value)

Method Detail

### setInherited

    public void setInherited(boolean inherited)

### inherit

    public void inherit(javax.faces.event.ValueChangeEvent event)

### setValue

    public void setValue(java.lang.Object value)

  Overrides:
    `setValue` in class `PropertyBean`

### isControlProperty

    public boolean isControlProperty()

  Overrides:
    `isControlProperty` in class `PropertyBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD